declare class PoseidonHolder {
    private poseidon;
    init(): Promise<void>;
    getPoseidon(): any;
}
export declare const poseidonHolder: PoseidonHolder;
export declare function poseidonFunction<T = any>(...args: T[]): bigint;
/**
 * hashing algorithm implementation
 * @param args rest parameter to take unlimited number of arguments
 * @returns poseidon hash in base 16
 */
export declare const poseidonHash: (...args: unknown[]) => string;
export type PoseidonHasher = (...args: unknown[]) => string;
export {};
